- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FUDaePassStateBlendType Namespace Reference

The render state blend types for effect passes. More...

## Enumerations
enum | Type { ZERO = 0x0000, ONE = 0x0001, SOURCE_COLOR = 0x0300, ONE_MINUS_SOURCE_COLOR = 0x0301, DESTINATION_COLOR = 0x0306, ONE_MINUS_DESTINATION_COLOR = 0x0307, SOURCE_ALPHA = 0x0302, ONE_MINUS_SOURCE_ALPHA = 0x0303, DESTINATION_ALPHA = 0x0304, ONE_MINUS_DESTINATION_ALPHA = 0x0305, CONSTANT_COLOR = 0x8001, ONE_MINUS_CONSTANT_COLOR = 0x8002, CONSTANT_ALPHA = 0x8003, ONE_MINUS_CONSTANT_ALPHA = 0x8004, SOURCE_ALPHA_SATURATE = 0x0308, INVALID }
| Enumerates the COLLADA render state blend types. More...
## Functions
FCOLLADA_EXPORT Type | FromString (const char *value)
| Converts the COLLADA render state blend type string to the blend type.
Type | FromString (const fm::string &value)
| Converts the FCollada texture channel string into a texture channel.
FCOLLADA_EXPORT const char * | ToString (Type type)
| Converts the blend type to its COLLADA render state blend type string.

## Detailed Description

The render state blend types for effect passes.

## Enumeration Type Documentation

enum FUDaePassStateBlendType::Type

  | Enumerates the COLLADA render state blend types. These are applied to either the destination or the source color. The most common blend type is (SOURCE_ALPHA, ONE_MINUS_SOURCE_ALPHA) where the first blend type is applied on the source color and the second blend type is applied on the destination color to give the following equation: SrcColor * SrcAlpha + DestColor * (1.0 - SrcAlpha). Enumerator:
  ZERO | The color is not used.
  ONE | The color is taken as is.
  SOURCE_COLOR | The color is multiplied with the source color.
  ONE_MINUS_SOURCE_COLOR | The color is multiplied with the inverse of the source color.
  DESTINATION_COLOR | The color is multiplied with the destination color.
  ONE_MINUS_DESTINATION_COLOR | The color is multiplied with the inverse of the destination color.
  SOURCE_ALPHA | The color is multiplied with the source alpha.
  ONE_MINUS_SOURCE_ALPHA | The color is multiplied with the inverse of the source alpha.
  DESTINATION_ALPHA | The color is multiplied with the destination alpha.
  ONE_MINUS_DESTINATION_ALPHA | The color is multiplied with the inverse of the destination alpha.
  CONSTANT_COLOR | The color is multiplied with a constant color value.
  ONE_MINUS_CONSTANT_COLOR | The color is multiplied with the inverse of a constant color value.
  CONSTANT_ALPHA | The color is multiplied with a constant alpha value.
  ONE_MINUS_CONSTANT_ALPHA | The color is multiplied with the inverse of a constant alpha value.
  SOURCE_ALPHA_SATURATE | The color is multiplied with the saturation of the source alpha value.
  INVALID | An invalid blend color type.

## Function Documentation

Type FUDaePassStateBlendType::FromString | ( | const fm::string & | value | ) | `[inline]`

  | Converts the FCollada texture channel string into a texture channel. Parameters:
  | value | The COLLADA interpolation type string.
Returns: The interpolation type.

FCOLLADA_EXPORT Type FUDaePassStateBlendType::FromString | ( | const char * | value | ) |

  | Converts the COLLADA render state blend type string to the blend type. Parameters:
  | value | The render state blend type string.
Returns: The blend type.

FCOLLADA_EXPORT const char* FUDaePassStateBlendType::ToString | ( | Type | type | ) |

  | Converts the blend type to its COLLADA render state blend type string. Parameters:
  | type | The blend type.
Returns: The render state blend type string.